Products
Products of the vendor's brands, filterable like the dashboard list; a platform key lists every product.
Requires the products:read scope.
apiKey products:readAuthorizationBearer <token>An API key created in the vendor workspace. Send it as Authorization: Bearer afk_....
Scope: products:read
q?stringlength <= 255page?integer1 <= valueperPage?integer1 <= value <= 100status?"draft""draft"brand?stringcategory?stringpriceOnRequest?booleaninStock?booleanSuccess
application/json- response
data*array<>metadata*curl -X GET "https://example.com/api/v1/key/products"{ "data": [ { "brand": { "id": "string", "name": "string", "slug": "string", "logoUrl": "string" }, "compareAtPrice": 0, "currency": "string", "hasBim": true, "id": "string", "inStock": true, "isNew": true, "name": "string", "price": 0, "priceOnRequest": true, "slug": "string", "type": "string", "coverUrl": "string", "hoverUrl": "string" } ], "metadata": { "total": 0, "perPage": 0, "currentPage": 0, "lastPage": 0, "firstPage": 0, "firstPageUrl": "string", "lastPageUrl": "string", "nextPageUrl": "string", "previousPageUrl": "string" }}Creates a draft product under one of the vendor's brands.
Requires the products:write scope.
apiKey products:writeAuthorizationBearer <token>An API key created in the vendor workspace. Send it as Authorization: Bearer afk_....
Scope: products:write
application/json- body
name*string1 <= lengthtype*string1 <= lengthbrandId*stringuuidcategoryId*stringuuiddescription?string|nullmaterials?string|nullcollection?string|nullyear?|1800 <= value <= 2200price?|0 <= value <= 9999999999compareAtPrice?|0 <= value <= 9999999999priceOnRequest?booleansku?|1 <= length <= 64trackStock?booleanstockQuantity?|0 <= value <= 100000000sellWhenOutOfStock?booleanleadTimeDays?|0 <= value <= 3650isPhysical?booleanlength?|value <= 1000000width?|value <= 1000000height?|value <= 1000000dimensionUnit?"cm""cm"weight?|value <= 1000000weightUnit?"kg""kg"countryOfOrigin?string|nullhsCode?string|nulltags?array<>length <= 30currency?stringisNew?booleaninStock?booleanfinishes?array<string>specs?array<>images?array<>modelUrl?|length <= 1024modelIosUrl?|length <= 1024modelPosterUrl?|length <= 1024modelCredit?string|nullmodelVariants?designerId?|uuidtranslations?unknownSuccess
application/json- response
data*curl -X POST "https://example.com/api/v1/key/products" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "string", "brandId": "0e9bcbb3-096e-49f9-aeea-7a13a201eff5", "categoryId": "337f5e5d-288b-40d5-be14-901cc3acacc0" }'{ "data": { "collection": "string", "brand": { "id": "string", "name": "string", "slug": "string", "logoUrl": "string" }, "designer": { "id": "string", "name": "string", "slug": "string" }, "category": { "id": "string", "name": "string", "slug": "string" }, "images": [ { "id": "string", "position": 0, "alt": "string", "url": "string" } ], "files": [ { "id": "string", "position": 0, "format": "string", "kind": "catalogue", "label": "string", "originalName": "string", "size": 0 } ], "compareAtPrice": 0, "countryOfOrigin": "string", "createdAt": "string", "currency": "string", "description": "string", "dimensionUnit": "cm", "finishes": [ "string" ], "hasBim": true, "height": 0, "hsCode": "string", "id": "string", "inStock": true, "isFeatured": true, "isNew": true, "isPhysical": true, "leadTimeDays": 0, "length": 0, "materials": "string", "name": "string", "price": 0, "priceOnRequest": true, "reviewNote": "string", "sellWhenOutOfStock": true, "sku": "string", "slug": "string", "specs": [ { "value": "string", "label": "string" } ], "status": "published", "stockQuantity": 0, "tags": [ "string" ], "trackStock": true, "translations": {}, "type": "string", "updatedAt": "string", "weight": 0, "weightUnit": "kg", "width": 0, "year": 0, "coverUrl": "string", "model": { "url": "string", "credit": "string", "variants": {}, "iosUrl": "string", "posterUrl": "string" }, "hoverUrl": "string", "breadcrumbs": [ { "id": "string", "name": "string", "slug": "string" } ] }}One product with all its fields, specs and images.
Requires the products:read scope.
apiKey products:readAuthorizationBearer <token>An API key created in the vendor workspace. Send it as Authorization: Bearer afk_....
Scope: products:read
id*stringSuccess
application/json- response
data*curl -X GET "https://example.com/api/v1/key/products/string"{ "data": { "collection": "string", "brand": { "id": "string", "name": "string", "slug": "string", "logoUrl": "string" }, "designer": { "id": "string", "name": "string", "slug": "string" }, "category": { "id": "string", "name": "string", "slug": "string" }, "images": [ { "id": "string", "position": 0, "alt": "string", "url": "string" } ], "files": [ { "id": "string", "position": 0, "format": "string", "kind": "catalogue", "label": "string", "originalName": "string", "size": 0 } ], "compareAtPrice": 0, "countryOfOrigin": "string", "createdAt": "string", "currency": "string", "description": "string", "dimensionUnit": "cm", "finishes": [ "string" ], "hasBim": true, "height": 0, "hsCode": "string", "id": "string", "inStock": true, "isFeatured": true, "isNew": true, "isPhysical": true, "leadTimeDays": 0, "length": 0, "materials": "string", "name": "string", "price": 0, "priceOnRequest": true, "reviewNote": "string", "sellWhenOutOfStock": true, "sku": "string", "slug": "string", "specs": [ { "value": "string", "label": "string" } ], "status": "published", "stockQuantity": 0, "tags": [ "string" ], "trackStock": true, "translations": {}, "type": "string", "updatedAt": "string", "weight": 0, "weightUnit": "kg", "width": 0, "year": 0, "coverUrl": "string", "model": { "url": "string", "credit": "string", "variants": {}, "iosUrl": "string", "posterUrl": "string" }, "hoverUrl": "string", "breadcrumbs": [ { "id": "string", "name": "string", "slug": "string" } ] }}Deletes a product of the vendor.
Requires the products:delete scope.
apiKey products:deleteAuthorizationBearer <token>An API key created in the vendor workspace. Send it as Authorization: Bearer afk_....
Scope: products:delete
id*stringNo content
curl -X DELETE "https://example.com/api/v1/key/products/string"Edits a product; a published product goes back to review, a pending one is locked (409).
Requires the products:write scope.
apiKey products:writeAuthorizationBearer <token>An API key created in the vendor workspace. Send it as Authorization: Bearer afk_....
Scope: products:write
id*stringapplication/json- body
name?string1 <= lengthtype?string1 <= lengthbrandId?stringuuidcategoryId?stringuuiddescription?string|nullmaterials?string|nullcollection?string|nullyear?|1800 <= value <= 2200price?|0 <= value <= 9999999999compareAtPrice?|0 <= value <= 9999999999priceOnRequest?booleansku?|1 <= length <= 64trackStock?booleanstockQuantity?|0 <= value <= 100000000sellWhenOutOfStock?booleanleadTimeDays?|0 <= value <= 3650isPhysical?booleanlength?|value <= 1000000width?|value <= 1000000height?|value <= 1000000dimensionUnit?"cm""cm"weight?|value <= 1000000weightUnit?"kg""kg"countryOfOrigin?string|nullhsCode?string|nulltags?array<>length <= 30currency?stringisNew?booleaninStock?booleanfinishes?array<string>specs?array<>images?array<>modelUrl?|length <= 1024modelIosUrl?|length <= 1024modelPosterUrl?|length <= 1024modelCredit?string|nullmodelVariants?designerId?|uuidtranslations?unknownSuccess
application/json- response
data*curl -X PUT "https://example.com/api/v1/key/products/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "collection": "string", "brand": { "id": "string", "name": "string", "slug": "string", "logoUrl": "string" }, "designer": { "id": "string", "name": "string", "slug": "string" }, "category": { "id": "string", "name": "string", "slug": "string" }, "images": [ { "id": "string", "position": 0, "alt": "string", "url": "string" } ], "files": [ { "id": "string", "position": 0, "format": "string", "kind": "catalogue", "label": "string", "originalName": "string", "size": 0 } ], "compareAtPrice": 0, "countryOfOrigin": "string", "createdAt": "string", "currency": "string", "description": "string", "dimensionUnit": "cm", "finishes": [ "string" ], "hasBim": true, "height": 0, "hsCode": "string", "id": "string", "inStock": true, "isFeatured": true, "isNew": true, "isPhysical": true, "leadTimeDays": 0, "length": 0, "materials": "string", "name": "string", "price": 0, "priceOnRequest": true, "reviewNote": "string", "sellWhenOutOfStock": true, "sku": "string", "slug": "string", "specs": [ { "value": "string", "label": "string" } ], "status": "published", "stockQuantity": 0, "tags": [ "string" ], "trackStock": true, "translations": {}, "type": "string", "updatedAt": "string", "weight": 0, "weightUnit": "kg", "width": 0, "year": 0, "coverUrl": "string", "model": { "url": "string", "credit": "string", "variants": {}, "iosUrl": "string", "posterUrl": "string" }, "hoverUrl": "string", "breadcrumbs": [ { "id": "string", "name": "string", "slug": "string" } ] }}The review status of a product and the reviewer's note when it was rejected.
Requires the products:read scope.
apiKey products:readAuthorizationBearer <token>An API key created in the vendor workspace. Send it as Authorization: Bearer afk_....
Scope: products:read
id*stringSuccess
application/json- response
id*stringstatus*stringreviewNote*string|nullupdatedAt*string|nullcurl -X GET "https://example.com/api/v1/key/products/string/status"{ "id": "string", "status": "string", "reviewNote": "string", "updatedAt": "string"}Sends a draft or rejected product to the review queue.
Requires the products:write scope.
apiKey products:writeAuthorizationBearer <token>An API key created in the vendor workspace. Send it as Authorization: Bearer afk_....
Scope: products:write
id*stringSuccess
application/json- response
data*curl -X POST "https://example.com/api/v1/key/products/string/submit"{ "data": { "collection": "string", "brand": { "id": "string", "name": "string", "slug": "string", "logoUrl": "string" }, "designer": { "id": "string", "name": "string", "slug": "string" }, "category": { "id": "string", "name": "string", "slug": "string" }, "images": [ { "id": "string", "position": 0, "alt": "string", "url": "string" } ], "files": [ { "id": "string", "position": 0, "format": "string", "kind": "catalogue", "label": "string", "originalName": "string", "size": 0 } ], "compareAtPrice": 0, "countryOfOrigin": "string", "createdAt": "string", "currency": "string", "description": "string", "dimensionUnit": "cm", "finishes": [ "string" ], "hasBim": true, "height": 0, "hsCode": "string", "id": "string", "inStock": true, "isFeatured": true, "isNew": true, "isPhysical": true, "leadTimeDays": 0, "length": 0, "materials": "string", "name": "string", "price": 0, "priceOnRequest": true, "reviewNote": "string", "sellWhenOutOfStock": true, "sku": "string", "slug": "string", "specs": [ { "value": "string", "label": "string" } ], "status": "published", "stockQuantity": 0, "tags": [ "string" ], "trackStock": true, "translations": {}, "type": "string", "updatedAt": "string", "weight": 0, "weightUnit": "kg", "width": 0, "year": 0, "coverUrl": "string", "model": { "url": "string", "credit": "string", "variants": {}, "iosUrl": "string", "posterUrl": "string" }, "hoverUrl": "string", "breadcrumbs": [ { "id": "string", "name": "string", "slug": "string" } ] }}